public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/oauth/
Date: Fri, 22 Jan 2021 07:05:39 +0000 (UTC)	[thread overview]
Message-ID: <1611299135.811751cfaf36341efd5dc98bd71ab81194fe5223.graaff@gentoo> (raw)

commit:     811751cfaf36341efd5dc98bd71ab81194fe5223
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 22 07:05:35 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Jan 22 07:05:35 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=811751cf

dev-ruby/oauth: add 0.5.5

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/oauth/Manifest           |  1 +
 dev-ruby/oauth/oauth-0.5.5.ebuild | 39 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/dev-ruby/oauth/Manifest b/dev-ruby/oauth/Manifest
index c8aed657606..fcb141fdd3a 100644
--- a/dev-ruby/oauth/Manifest
+++ b/dev-ruby/oauth/Manifest
@@ -1 +1,2 @@
 DIST oauth-0.5.4.tar.gz 59141 BLAKE2B 1e588d411795b7c5b4ae5b7b3c9928b69aaa005bef858137759757e9f06d6de144408e4dba33d7fbf82a3f2586238a71b85b89c681f5d633453dfe0da954a2fb SHA512 f114f80255944934a276d0f9556ed37e4a0a72b221269cf7792f2c3a5a1504c5ec726fd5b7437b1102c648a6cf451a1c83de4689f53d30ea8c6a1d62662de535
+DIST oauth-0.5.5.tar.gz 60289 BLAKE2B 28a283bdb251b791ab6e0d50e6ed7db09445177bcaf5a99258c465e3783c5535f7d6acee356ec2f7559a942d1146ae8487260f8945f3138de670c20c60d7068c SHA512 9db8d68950b46b469777e320dea88e14506be846233f7c24e7dcdf9b57e761c43a7b715fa70f32a41b15ac7936a586e8b49a33af971fd0e9509d62827c69571f

diff --git a/dev-ruby/oauth/oauth-0.5.5.ebuild b/dev-ruby/oauth/oauth-0.5.5.ebuild
new file mode 100644
index 00000000000..016e9a7ac23
--- /dev/null
+++ b/dev-ruby/oauth/oauth-0.5.5.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26"
+
+RUBY_FAKEGEM_EXTRADOC="HISTORY README.rdoc TODO"
+
+RUBY_FAKEGEM_GEMSPEC="oauth.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A RubyGem for implementing both OAuth clients and servers"
+HOMEPAGE="https://github.com/oauth-xx/oauth-ruby"
+SRC_URI="https://github.com/oauth-xx/oauth-ruby/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+RUBY_S="${PN}-ruby-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+ruby_add_bdepend "test? (
+	dev-ruby/bundler
+	dev-ruby/test-unit:2
+	dev-ruby/mocha:1.0
+	dev-ruby/webmock
+	dev-ruby/rack
+	dev-ruby/actionpack:6.0
+	dev-ruby/railties:6.0
+)"
+
+all_ruby_prepare() {
+	# Require a compatible version of mocha
+	sed -i -e '1igem "mocha", "~> 1.0"; gem "railties", "~>6.0.0" ; gem "actionpack", "~>6.0.0"' \
+		-e '2i gem "test-unit"; require "test/unit"' \
+		-e '/mocha/ s/mini_test/minitest/' \
+		-e '/\(byebug\|minitest_helpers\|simplecov\)/I s:^:#:' test/test_helper.rb || die
+}


             reply	other threads:[~2021-01-22  7:05 UTC|newest]

Thread overview: 36+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-01-22  7:05 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-22  8:48 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/oauth/ Hans de Graaff
2024-11-17  9:17 Hans de Graaff
2024-08-14  7:27 Hans de Graaff
2024-07-16  4:06 Hans de Graaff
2023-09-15 14:56 Hans de Graaff
2023-08-27 10:16 Jakov Smolić
2023-08-26 13:47 Arthur Zamarin
2023-08-26 13:30 Sam James
2023-08-26  6:53 Hans de Graaff
2023-07-11  8:13 Jakov Smolić
2023-05-05  5:56 Hans de Graaff
2023-01-13  8:28 Hans de Graaff
2022-07-26  9:49 Hans de Graaff
2022-05-05  5:50 Hans de Graaff
2022-05-01  6:34 Hans de Graaff
2022-05-01  6:34 Hans de Graaff
2021-11-11  7:04 Hans de Graaff
2021-11-03  6:43 Hans de Graaff
2021-07-05 11:51 Hans de Graaff
2021-04-08  6:07 Hans de Graaff
2021-02-16  6:03 Hans de Graaff
2020-05-31  8:09 Hans de Graaff
2019-05-04 19:14 Hans de Graaff
2018-08-05 20:37 Hans de Graaff
2018-04-29  9:42 Hans de Graaff
2018-03-25 19:45 Sergei Trofimovich
2018-02-17  8:05 Hans de Graaff
2018-02-07  6:30 Hans de Graaff
2018-02-07  5:52 Thomas Deutschmann
2017-09-24  7:10 Hans de Graaff
2017-07-12  4:48 Hans de Graaff
2017-06-28  6:09 Hans de Graaff
2016-12-20  0:52 Manuel Rüger
2016-05-09  6:33 Hans de Graaff
2016-03-06  6:23 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1611299135.811751cfaf36341efd5dc98bd71ab81194fe5223.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox